Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class RestrictedCollections.RestrictedSet

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.RestrictedCollections.RestrictedCollection
com.tangosol.util.RestrictedCollections.RestrictedSet`

All Implemented Interfaces:
  Serializable, Iterable, Collection, Set

Direct Known Subclasses:
  RestrictedCollections.RestrictedSortedSet

Enclosing class:
  RestrictedCollections

      public static class RestrictedCollections.RestrictedSet

extends RestrictedCollections.RestrictedCollection
implements Set, Serializable

A restricted Set that requires its contents to be of a specified class.

Field Summary

Fields inherited from class com.tangosol.util.RestrictedCollections.RestrictedCollection
`m_clz, m_col`

Constructor Summary
`RestrictedCollections.RestrictedSet(Set set, Class clz)` Constructor.

Method Summary

Methods inherited from class com.tangosol.util.RestrictedCollections.RestrictedCollection
`add, addAll, checkObject, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### RestrictedCollections.RestrictedSet

    public RestrictedCollections.RestrictedSet(Set set,
                                               Class clz)

  Constructor.
  Parameters:
    `set` - the underlying Set
    `clz` - the class of objects that may be stored in the Set

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.